<?php
namespace Controllers; 

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\Controller;
use Zeedhi\Framework\Controller\Crud;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Notification;


class Ger80200SaveGeralController extends \Teknisa\Libs\Controller\CRUD {

    protected $dataSourceName = 'paramgeral';
    protected $entityManager;
    protected $connection;
    public function __construct($crudService, $environment, $entityManager, $connection) {
        $this->entityManager = $entityManager;
        $this->connection = $connection;
        parent::__construct($crudService, $environment);
        
    }
    
    public function saveIdutpadrrop(DTO\Request $request, DTO\Response $response ){

        $row = $request->getDataSet()->getRows()[0];
        try{
            $stmt = $this->connection->prepare("UPDATE PARAMGERAL
             SET
               IDUTPADRROP = :P_IDUTPADRROP_NOVO
             WHERE
               ROWNUM = 1 AND NRORG = :P_NRORG");

            $stmt->execute(
                array(
                    'P_IDUTPADRROP_NOVO' => $row["IDUTPADRROP"],
                    'P_NRORG' => $row["NRORG"]
                )
            );
            $response->addMessage(new Message("Registro atualizado com sucesso!"));
        }catch(\Exception $ex){
            $response->setError(new Error("Nao foi possivel processar os dados enviados   --- " . $ex->getMessage(), 500));
        }
    }
}


